Package org.gradle.external.javadoc

## Class JavadocOfflineLink

- java.lang.Object
- - org.gradle.external.javadoc.JavadocOfflineLink

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JavadocOfflineLink
      extends java.lang.Object
      implements java.io.Serializable

  This class is used to hold the information that can be provided to the javadoc executable via the -linkoffline option.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavadocOfflineLink​(java.lang.String extDocUrl, java.lang.String packagelistLoc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getExtDocUrl()` |
    `java.lang.String` | `getPackagelistLoc()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavadocOfflineLink

          public JavadocOfflineLink​(java.lang.String extDocUrl,
                                    java.lang.String packagelistLoc)

  - ### Method Detail

    - #### getExtDocUrl

          public java.lang.String getExtDocUrl()

    - #### getPackagelistLoc

          public java.lang.String getPackagelistLoc()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`